org.eclipse.cdt.core.settings.model.util

## Class ResourceChangeHandlerBase

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.ResourceChangeHandlerBase

All Implemented Interfaces:
  EventListener, org.eclipse.core.resources.IResourceChangeListener

    public abstract class ResourceChangeHandlerBase
    extends Object
    implements org.eclipse.core.resources.IResourceChangeListener

### Nested Class Summary

Nested Classes
`static interface` `ResourceChangeHandlerBase.IResourceMoveHandler`

### Constructor Summary

Constructors
Constructor and Description
`ResourceChangeHandlerBase()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract ResourceChangeHandlerBase.IResourceMoveHandler` `createResourceMoveHandler(org.eclipse.core.resources.IResourceChangeEvent event)`
`protected void` `doHahdleResourceMove(org.eclipse.core.resources.IResourceChangeEvent event, ResourceChangeHandlerBase.IResourceMoveHandler handler)`
`protected void` `doHandleResourceMove(org.eclipse.core.resources.IResourceChangeEvent event, ResourceChangeHandlerBase.IResourceMoveHandler handler)`
`void` `resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)`
`protected boolean` `shouldVisit(org.eclipse.core.resources.IProject project)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceChangeHandlerBase

    public ResourceChangeHandlerBase()

### Method Detail

#### resourceChanged

    public void resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)

Specified by:
  `resourceChanged` in interface `org.eclipse.core.resources.IResourceChangeListener`

#### shouldVisit

    protected boolean shouldVisit(org.eclipse.core.resources.IProject project)

#### doHahdleResourceMove

    protected void doHahdleResourceMove(org.eclipse.core.resources.IResourceChangeEvent event,
                                        ResourceChangeHandlerBase.IResourceMoveHandler handler)

Restriction:
  This method is not intended to be referenced by clients.
Restriction:
  This method is not intended to be re-implemented or extended by clients.

#### doHandleResourceMove

    protected void doHandleResourceMove(org.eclipse.core.resources.IResourceChangeEvent event,
                                        ResourceChangeHandlerBase.IResourceMoveHandler handler)

Since:
  5.1

#### createResourceMoveHandler

    protected abstract ResourceChangeHandlerBase.IResourceMoveHandler createResourceMoveHandler(org.eclipse.core.resources.IResourceChangeEvent event)